### Name: cusp-package
### Title: Cusp Catastrophe Modeling
### Aliases: cusp-package
### Keywords: package

### ** Examples

# fitting cusp to cusp data
x <- rcusp(100, alpha=0, beta=1) 
fit <- cusp(y ~ x, alpha ~ 1, beta ~ 1)
print(fit)

# example with regressors
x1 = runif(150)
x2 = runif(150)
z = Vectorize(rcusp)(1, 4*x1-2, 4*x2-1)
data <- data.frame(x1, x2, z)
fit <- cusp(y ~ z, alpha ~ x1+x2, beta ~ x1+x2, data)
print(fit)
summary(fit)
## Not run: 
##D plot(fit)
##D cusp3d(fit)
## End(Not run)

# use of OK
npar <- length(fit$par)
## Not run: 
##D while(!fit$OK) # refit if necessary until convergence is OK
##D     fit <- cusp(y ~ z, alpha ~ x1+x2, beta ~ x1+x2, data, start=rnorm(npar))
## End(Not run)

# example 1 from paper
data(attitudes)
data(attitudeStartingValues)
fit.attitudes <- cusp(y ~ Attitude, alpha ~ Orient + Involv, beta ~ Involv, 
 data = attitudes, start=attitudeStartingValues)

summary(fit.attitudes)
plot(fit.attitudes)
cusp3d(fit.attitudes, B = 0.75, Y = 1.35, theta = 170, phi = 30, Yfloor = -9)



